import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/api/webapp/disk/word/` + url, ...arg)

/**
 * key_wordApi接口管理器
 *
 * @author pans
 * @date  2025/06/27 10:08
 **/
export default {
	// 获取key_word分页
	keyWordPage(data) {
		return request('page', data, 'get')
	},
	// 提交key_word表单 edit为true时为编辑，默认为新增
	keyWordSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除key_word
	keyWordDelete(data) {
		return request('delete', data)
	},
	// 获取key_word详情
	keyWordDetail(data) {
		return request('detail', data, 'get')
	}}
